quarkus:
  http:
    non-application-root-path: actuator
  log:
    level: INFO
    console:
      enable: true
  profile: dev
  debug:
    print-startup-times: true
    reflection: false
  native:
    file-encoding: UTF-8
    container-build: true
    builder-image: quay.io/quarkus/ubi-quarkus-mandrel-builder-image:23.0.5.0-Final-java17
    container-runtime: docker
    additional-build-args:
      - -H:InitialCollectionPolicy=com.oracle.svm.core.genscavenge.CollectionPolicy\$BySpaceAndTime
      - -H:ReflectionConfigurationFiles=reflect-config.json
    native-image-xmx: 6G
    resources:
      excludes: resources/*.yaml
  # Enable OpenAPI
  smallrye-openapi:
    path: /openapi
    enable: 'true'
  swagger-ui:
    path: /swagger-ui
    always-include: 'true'
  application:
    name: bus-update-card-status
    version: 1.0.0
  #remove to compile